---
updatedAt: 2025-11-13T23:12:15.000Z
---

# Authorization

## Authorization

Your client application should use your client credentials to request an access token from the Business API auth endpoint. Other endpoints require an access token to get or manipulate data.

## Authorization request params:

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **URL**
      </td>

      <td>
        [https://business-api.gett.com/oauth/token](https://business-api.gett.com/oauth/token)
      </td>
    </tr>

    <tr>
      <td>
        **client\_id**
      </td>

      <td>
        * \*Client\_id\*\* value is provided by Gett
      </td>
    </tr>

    <tr>
      <td>
        **client\_secret**
      </td>

      <td>
        * \*Client\_secret\*\* value is provided by Gett
      </td>
    </tr>

    <tr>
      <td>
        **grant\_type**
      </td>

      <td>
        **client\_credentials** 
      </td>
    </tr>
  </tbody>
</Table>

> 📘 **Scope** is not needed for webhook

## Request example

Parameters:

```curl
curl -s 'https://business-api.gett.com/oauth/token' \
-F 'grant_type=client_credentials' /
-F 'client_id=92e0b95a-8690-4c26-b45b-5465af3a1bd7.13d08230-15ba-4016-9b6f-a4f495f80fe1' \
-F 'client_secret=my_secret_from_gett' \
```

## Response

```json
{
  "access_token": "eyJhbGciOiJSUzI1NiIsImtpZCI6InByaW1hcnkta2V5IiwidHlwIjoiSldUIn0.eyJhdWQiOltdLCJleHAiOjE2MTI3NzQ3ODUsImlhdCI6MTYxMjc3Mzg4NSwiaWRlbnRpZmllciI6ImUxZDVhNDgwLWZlYzEtNDk1ZS1hOWNkLTkzZTZhY2Q4MWM4OCIsImlzcyI6Imh0dHBzOi8vZ2xvYmFsLWF1dGguZ2V0dC5jb20iLCJqdGkiOiJiZTI2NWIyZC0zZTA2LTQ1Y2EtODE5Ni1jNzliMjg5OGYzNjEiLCJuYmYiOjE2MTI3NzM4ODUsInJlc291cmNlX3V1aWQiOiI5MmUwYjk1YS04NjkwLTRjMjYtYjQ1Yi01NDY1YWYzYTFiZDciLCJzY3AiOlsiY29tcGFueS5yZWZlcmVuY2UiLCJvcmRlciJdLCJzdWIiOiI5MmUwYjk1YS04NjkwLTRjMjYtYjQ1Yi01NDY1YWYzYTFiZDcuMTNkMDgyMzAtMTViYS00MDE2LTliNmYtYTRmNDk1ZjgwZmUxIn0.n-ECwfFkVZJJILip3xXf8rEHxAH-0Q42iFfwTeeiiqlwv5Xt5Etq34--EoM43Oxa3xyVQfDQTXwX3-vQQ_ojNcR0hTL1iK34AwHgbCzx-THf02oQydxTrN9oZo9dqp0XjvPbsUF_db3S3HUjIJhqhJwg_1Ll8VSMGJcBVM7hqrzfeqFlq0N6M3VCBAr_jH73Nxd_1jv-VxRRFmLHan6qYOjxpXVswLxfKzGyBL__JbJ82IzycnDKCus5v3BbJuS-rMml13R-VYt8EzCdFD9JYjmpuyUQHxL7fl5MX5Ok_VbH9NZHOw0hCkCwwAjAfR2F2Wc2t1Mh5002RRGzE8d3KQ",
  "expires_in": 899,
  "scope": "",
  "token_type": "bearer"
}
```